function [I,flag] = find(T)

% [I,FLAG] = FIND(T)
%
% Works similarly to the standard FIND function. Returns the instances of nonzero entries in 
% the timescale object T, such that T(I) returns the nonzero values. The optional FLAG output
% indicates whether the corresponding indices point to a continuous (FLAG = 0) or discrete
% (FLAG = 1) interval. FIND returns empty if there are no nonzero entries in T.

% Ian Gravagne, 12/29/03 Baylor University

t = T.data;
s = T.type(1,:);

I = find(t);

if(nargout > 1)
    if(isempty(I))
        flag = [];
        return
    end
    
    for(i = I)       
        index = sum([(s-i) < 0]) + 1;
        flag(i) = T.type(2,index);
    end
end

